from django.db import models


class Data(models.Model):
    '''
        Default model to use for quickapi. Easily extendable.
        Do extend in your own's app_name.models file, like so

        import quickapi.models import Data

        class myOwnData(Data):
            age = models.CharField()
            # then keep extending as you wish.
            # happy extending!
    '''
    slug = models.SlugField()
    title = models.CharField(max_length=500)
    content = models.TextField()
    pub_date = models.DateTimeField(auto_now=True)

    def __unicode__(self):
        return self.title
